/* ::placeholder {
    font-family: 'Poppins', sans-serif !important;
    font-style: normal !important;
    font-weight: 500 !important;
    text-decoration: none !important;
  } */

	body {
	  user-select: none;
	}


  ::placeholder {
    font-style: normal !important;
    color: #6969698f !important;
    text-transform: none !important;
  } 

  
  html.htmlstd.html5.fontawesome-i2svg-active.fontawesome-i2svg-complete {
    overflow: hidden !important;
  }

  /* SWEETALERT2: Evitar deslocamento do background */
  body.swal2-shown:not(.swal2-no-backdrop):not(.swal2-toast-shown) {
    height: 100% !important;
  }

/*GERAÇÃO DO SPINNER NO BOTÃO*/
button.carregando {
  position: relative;
  pointer-events: none;
  cursor: default;
  opacity: 0.5;
  
}

button.carregando::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 20px;
  height: 20px;
  margin-top: -10px;
  margin-left: -10px;
  border: 3px solid #ccc;
  border-top: 3px solid #333;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.obrigatorio::after {
  content: " *";
  color: #ff0000;
}

button.aba-active{
  background-color: white !important;
}

button.aba-perfil-active{
  border-bottom: 2px solid #305dff !important;
}


/*SPINNER*/

.spinner {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99999;
  background-color: rgb(255 255 255 / 70%);
  display: flex;
  justify-content: center;
  align-items: center;
}

/* .spinner-animation {
  width: 200px !important;
  height: 200px !important;
  display: flex;
  justify-content: center;
  align-items: center;
} */

.spinner-animation, 
.vr-meditacao {
  width: 500px !important;
  height: 500px !important;
  display: flex;
  justify-content: center;
  align-items: center;
}
/*FINAL DO SPINNER*/

/* Ajuste de altura sobre modal de relatórios */
iframe#__PAP__pageTabelaPreco,
iframe#__PAP__pagePedidoDeVendas,
iframe#__PAP__pageCRMTimeLine,
iframe#__PAP__pageCRMPessoa,
iframe#__PAP__pageImportarOFX,
iframe#__PAP__pagePedidoDeVenda,
iframe#__PAP__pageNotaFiscal,
iframe#__PAP__pagePesquisaProduto,
iframe#__PAP__pagePedidoDeVendaCustoAdicional,
iframe#__PAP__pageFinLancamentoFinanceiroPagamento,
iframe#__PAP__pageFinLancamentoFinanceiroCadastro,
iframe#__PAP__pageFinMovimentacaoDeContaCadastro,
iframe#__PAP__pageAjustarEstoque,
iframe#__PAP__pageInventarioConferencia,
iframe#__PAP__pageCadastroCliente,
iframe#__PAP__pageEncomenda,
iframe#__PAP__pageNFe,
iframe#__PAP__pageCadastroMetaVenda,
iframe#__PAP__pageCadastroFuncionario,
iframe#__PAP__pageCRMCadastroTarefa,
iframe#__PAP__pageGerarColeta,
iframe#__PAP__pageFinLancamentoCadastro,
iframe#__PAP__pageBloqueioVenda,
.fullscreen
{
  height: 100% !important;
  width: 100% !important;
}

iframe#__PAP__pageRelatorioMovimentacaoProduto,
iframe#__PAP__pageHistoricoEstoque,
iframe#__PAP__pageRelatorioRTArquiteto,
iframe#__PAP__pageRelatorioAnaliseResultado,
iframe#__PAP__pageSolicitacaoCompra,
iframe#__PAP__pageEtiquetaDecoracao,
iframe#__PAP__pageListaCheque,
iframe#__PAP__pageVisualizacaoColeta,
iframe#__PAP__pageRepositorioFotos,
iframe#__PAP__pageGestaoEstoque,
iframe#__PAP__pageSolicitacaoEncomendaPedido,
iframe#__PAP__pageGestaoBoleto,
iframe#__PAP__pageNFCe,
iframe#__PAP__pageCadastroTabelaPrecoVenda
{  
  height: 95% !important;
  width: 95% !important;
  margin: 10px !important;
}

iframe#__PAP__pageRelatorioPDFModal
{  
  height: 100% !important;
  width: 85% !important;
  /* margin: 5px !important; */
}

iframe#__PAP__pageEmprestimo
{  
  height: 90% !important;
  width: 90% !important;  
}


/*Efeito de Skeleton Loading */
.carregando {
  background-color: #e3e3e3 !important;
  background-image: linear-gradient(
      90deg, 
      rgba(255, 255, 255, 0), 
      rgba(255, 255, 255, 0.5),
      rgba(255, 255, 255, 0)
  );
  background-size: 40px 100%;
  background-repeat: no-repeat;
  background-position: left -40px top 0;
  animation: shine 1s ease infinite;
  border-radius: 5px;
}

@keyframes shine {
  to {
      background-position: right -40px top 0;
  }
}



.carregando td {
/* background: red !important; */
color: transparent !important;
}